Skip to content
↑↓ navigate↵ openEsc close

API reference

Stores

Marketplace stores connected to the tenant.

List stores

GET/v1/stores

Stores of the current tenant.

Scopes:any API key

Query parameters

  • statusStoreStatusoptional

    One of:activesuspendedarchived

Response200 · application/json

Stores

  • itemsarray<Store>required
    Show 8 child attributes
    • idstringrequired

      format: uuid

    • namestringrequired
    • marketplacestringrequired

      One of:tiktokshopeelazadatokopedia

    • externalShopIdstringrequirednullable
    • statusstringrequired

      One of:activesuspendedarchived

    • timezonestringrequired
    • createdAtstringrequired

      format: date-time

    • updatedAtstringrequired

      format: date-time

Example request · curl
curl "https://api.comnethub.app/v1/stores" \
  -H "Authorization: Bearer $THECOMNET_API_KEY"

Get store

GET/v1/stores/{storeId}

Store detail.

Scopes:any API key

Path parameters

  • storeIdstringrequired

    format: uuid

Response200 · application/json

Store

  • idstringrequired

    format: uuid

  • namestringrequired
  • marketplacestringrequired

    One of:tiktokshopeelazadatokopedia

  • externalShopIdstringrequirednullable
  • statusstringrequired

    One of:activesuspendedarchived

  • timezonestringrequired
  • createdAtstringrequired

    format: date-time

  • updatedAtstringrequired

    format: date-time

Example request · curl
curl "https://api.comnethub.app/v1/stores/$STORE_ID" \
  -H "Authorization: Bearer $THECOMNET_API_KEY"